Subject: Re: [PATCH REPOST 1/2] NET: Accurate packet scheduling for ATM/ADSL (kernel)

From: Russell Stuart <[email-masked]>
Date: Fri, 19 Jan 2007 13:11:19 +1000

On Thu, 2007-01-18 at 12:37 +0100, Patrick McHardy wrote:
> > Or are you proposing tc behave differently on different
> > kernel versions.  (I have no problem with that, but
> > isn't it officially frowned upon?)
> 
> Yes. There is no way you can make this work on old kernels,
> nobody expects that. The important part is that everything
> continues to work as before and that both old and new iproute
> binaries work properly on both old and new kernels (new
> iproute on old kernels without STABs obviously).

I thought that some degree of compatibility was 
expected.  At the very least the newest version 
of "tc" must work on _any_ kernel as least as 
well as the version it replaces did.

I also though newer kernels should work older
version of iproute2, albeit without the features
added in the newer versions.

Are you saying this is not so?